diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac.cc ns-3.42/src/lr-wpan/model/lr-wpan-mac.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac.cc	2024-05-29 15:29:46.976073300 -0700
@@ -3101,7 +3102,7 @@
                     NS_ASSERT_MSG(!m_txQueue.empty(), "TxQsize = 0");
                     Ptr<TxQueueElement> txQElement = m_txQueue.front();
                     confirmParams.m_msduHandle = txQElement->txQMsduHandle;
-                    confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                    confirmParams.m_status = MacStatus::SUCCESS;
                     m_mcpsDataConfirmCallback(confirmParams);
                 }
                 ifsWaitTime = Seconds(static_cast<double>(GetIfsSize()) / symbolRate);
@@ -3146,18 +3147,18 @@
                 {
                     MlmeAssociateConfirmParams confirmParams;
 
-                    switch (static_cast<LrWpanMacStatus>(receivedMacPayload.GetAssociationStatus()))
+                    switch (static_cast<MacStatus>(receivedMacPayload.GetAssociationStatus()))
                     {
-                    case LrWpanMacStatus::SUCCESS:
+                    case MacStatus::SUCCESS:
                         // The assigned short address by the coordinator
                         SetShortAddress(receivedMacPayload.GetShortAddr());
                         m_macPanId = receivedMacHdr.GetSrcPanId();
 
-                        confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                        confirmParams.m_status = MacStatus::SUCCESS;
                         confirmParams.m_assocShortAddr = GetShortAddress();
                         break;
-                    case LrWpanMacStatus::FULL_CAPACITY:
-                        confirmParams.m_status = LrWpanMacStatus::FULL_CAPACITY;
+                    case MacStatus::FULL_CAPACITY:
+                        confirmParams.m_status = MacStatus::FULL_CAPACITY;
                         m_macPanId = 0xffff;
                         m_macCoordShortAddress = Mac16Address("FF:FF");
                         m_macCoordExtendedAddress = Mac64Address("ff:ff:ff:ff:ff:ff:ff:ed");
@@ -3167,9 +3168,9 @@
                         m_incomingBeaconOrder = 15;
                         m_incomingSuperframeOrder = 15;
                         break;
-                    case LrWpanMacStatus::ACCESS_DENIED:
+                    case MacStatus::ACCESS_DENIED:
                     default:
-                        confirmParams.m_status = LrWpanMacStatus::ACCESS_DENIED;
+                        confirmParams.m_status = MacStatus::ACCESS_DENIED;
                         m_macPanId = 0xffff;
                         m_macCoordShortAddress = Mac16Address("FF:FF");
                         m_macCoordExtendedAddress = Mac64Address("ff:ff:ff:ff:ff:ff:ff:ed");
@@ -3210,7 +3211,7 @@
             {
                 McpsDataConfirmParams confirmParams;
                 confirmParams.m_msduHandle = txQElement->txQMsduHandle;
-                confirmParams.m_status = LrWpanMacStatus::FRAME_TOO_LONG;
+                confirmParams.m_status = MacStatus::FRAME_TOO_LONG;
                 m_mcpsDataConfirmCallback(confirmParams);
             }
             RemoveFirstTxQElement();
@@ -3238,7 +3239,7 @@
 }
 
 void
-LrWpanMac::PlmeCcaConfirm(LrWpanPhyEnumeration status)
+LrWpanMac::PlmeCcaConfirm(PhyEnumeration status)
 {
     NS_LOG_FUNCTION(this << status);
     // Direct this call through the csmaCa object
@@ -3246,7 +3247,7 @@
 }
 
 void
-LrWpanMac::PlmeEdConfirm(LrWpanPhyEnumeration status, uint8_t energyLevel)
+LrWpanMac::PlmeEdConfirm(PhyEnumeration status, uint8_t energyLevel)
 {
     NS_LOG_FUNCTION(this << status << energyLevel);
 
@@ -3263,19 +3264,19 @@
 }
 
 void
-LrWpanMac::PlmeGetAttributeConfirm(LrWpanPhyEnumeration status,
-                                   LrWpanPibAttributeIdentifier id,
-                                   Ptr<LrWpanPhyPibAttributes> attribute)
+LrWpanMac::PlmeGetAttributeConfirm(PhyEnumeration status,
+                                   PhyPibAttributeIdentifier id,
+                                   Ptr<PhyPibAttributes> attribute)
 {
     NS_LOG_FUNCTION(this << status << id << attribute);
 }
 
 void
-LrWpanMac::PlmeSetTRXStateConfirm(LrWpanPhyEnumeration status)
+LrWpanMac::PlmeSetTRXStateConfirm(PhyEnumeration status)
 {
     NS_LOG_FUNCTION(this << status);
 
-    if (m_lrWpanMacState == MAC_SENDING &&
+    if (m_macState == MAC_SENDING &&
         (status == IEEE_802_15_4_PHY_TX_ON || status == IEEE_802_15_4_PHY_SUCCESS))
     {
         NS_ASSERT(m_txPkt);
@@ -3286,18 +3287,18 @@
         m_macTxTrace(m_txPkt);
         m_phy->PdDataRequest(m_txPkt->GetSize(), m_txPkt);
     }
-    else if (m_lrWpanMacState == MAC_CSMA &&
+    else if (m_macState == MAC_CSMA &&
              (status == IEEE_802_15_4_PHY_RX_ON || status == IEEE_802_15_4_PHY_SUCCESS))
     {
         // Start the CSMA algorithm as soon as the receiver is enabled.
         m_csmaCa->Start();
     }
-    else if (m_lrWpanMacState == MAC_IDLE)
+    else if (m_macState == MAC_IDLE)
     {
         NS_ASSERT(status == IEEE_802_15_4_PHY_RX_ON || status == IEEE_802_15_4_PHY_SUCCESS ||
                   status == IEEE_802_15_4_PHY_TRX_OFF);
 
-        if (status == IEEE_802_15_4_PHY_RX_ON && m_scanEnergyEvent.IsRunning())
+        if (status == IEEE_802_15_4_PHY_RX_ON && m_scanEnergyEvent.IsPending())
         {
             // Kick start Energy Detection Scan
             m_phy->PlmeEdRequest();
@@ -3308,7 +3309,7 @@
             CheckQueue();
         }
     }
-    else if (m_lrWpanMacState == MAC_ACK_PENDING)
+    else if (m_macState == MAC_ACK_PENDING)
     {
         NS_ASSERT(status == IEEE_802_15_4_PHY_RX_ON || status == IEEE_802_15_4_PHY_SUCCESS);
     }
@@ -3322,12 +3323,12 @@
 }
 
 void
-LrWpanMac::PlmeSetAttributeConfirm(LrWpanPhyEnumeration status, LrWpanPibAttributeIdentifier id)
+LrWpanMac::PlmeSetAttributeConfirm(PhyEnumeration status, PhyPibAttributeIdentifier id)
 {
     NS_LOG_FUNCTION(this << status << id);
-    if (id == LrWpanPibAttributeIdentifier::phyCurrentPage && m_pendPrimitive == MLME_SCAN_REQ)
+    if (id == PhyPibAttributeIdentifier::phyCurrentPage && m_pendPrimitive == MLME_SCAN_REQ)
     {
-        if (status == LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+        if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
         {
             // get the first channel to scan from scan channel list
             bool channelFound = false;
@@ -3343,9 +3344,9 @@
 
             if (channelFound)
             {
-                Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+                Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
                 pibAttr->phyCurrentChannel = m_channelScanIndex;
-                m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentChannel,
+                m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentChannel,
                                                pibAttr);
             }
         }
@@ -3356,16 +3357,15 @@
                 MlmeScanConfirmParams confirmParams;
                 confirmParams.m_scanType = m_scanParams.m_scanType;
                 confirmParams.m_chPage = m_scanParams.m_chPage;
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 m_mlmeScanConfirmCallback(confirmParams);
             }
             NS_LOG_ERROR(this << "Channel Scan: Invalid channel page");
         }
     }
-    else if (id == LrWpanPibAttributeIdentifier::phyCurrentChannel &&
-             m_pendPrimitive == MLME_SCAN_REQ)
+    else if (id == PhyPibAttributeIdentifier::phyCurrentChannel && m_pendPrimitive == MLME_SCAN_REQ)
     {
-        if (status == LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+        if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
         {
             auto symbolRate = static_cast<uint64_t>(m_phy->GetDataOrSymbolRate(false));
             Time nextScanTime;
@@ -3410,7 +3410,7 @@
                 MlmeScanConfirmParams confirmParams;
                 confirmParams.m_scanType = m_scanParams.m_scanType;
                 confirmParams.m_chPage = m_scanParams.m_chPage;
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 if (!m_mlmeScanConfirmCallback.IsNull())
                 {
                     m_mlmeScanConfirmCallback(confirmParams);
@@ -3426,38 +3426,36 @@
                 MlmeScanConfirmParams confirmParams;
                 confirmParams.m_scanType = m_scanParams.m_scanType;
                 confirmParams.m_chPage = m_scanParams.m_chPage;
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 m_mlmeScanConfirmCallback(confirmParams);
             }
             NS_LOG_ERROR("Channel " << m_channelScanIndex
                                     << " could not be set in the current page");
         }
     }
-    else if (id == LrWpanPibAttributeIdentifier::phyCurrentPage &&
-             m_pendPrimitive == MLME_START_REQ)
+    else if (id == PhyPibAttributeIdentifier::phyCurrentPage && m_pendPrimitive == MLME_START_REQ)
     {
-        if (status == LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+        if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
         {
-            Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+            Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
             pibAttr->phyCurrentChannel = m_startParams.m_logCh;
-            m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentChannel,
-                                           pibAttr);
+            m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentChannel, pibAttr);
         }
         else
         {
             if (!m_mlmeStartConfirmCallback.IsNull())
             {
                 MlmeStartConfirmParams confirmParams;
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 m_mlmeStartConfirmCallback(confirmParams);
             }
             NS_LOG_ERROR("Invalid page parameter in MLME-start");
         }
     }
-    else if (id == LrWpanPibAttributeIdentifier::phyCurrentChannel &&
+    else if (id == PhyPibAttributeIdentifier::phyCurrentChannel &&
              m_pendPrimitive == MLME_START_REQ)
     {
-        if (status == LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+        if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
         {
             EndStartRequest();
         }
@@ -3466,21 +3464,19 @@
             if (!m_mlmeStartConfirmCallback.IsNull())
             {
                 MlmeStartConfirmParams confirmParams;
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 m_mlmeStartConfirmCallback(confirmParams);
             }
             NS_LOG_ERROR("Invalid channel parameter in MLME-start");
         }
     }
-    else if (id == LrWpanPibAttributeIdentifier::phyCurrentPage &&
-             m_pendPrimitive == MLME_ASSOC_REQ)
+    else if (id == PhyPibAttributeIdentifier::phyCurrentPage && m_pendPrimitive == MLME_ASSOC_REQ)
     {
-        if (status == LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+        if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
         {
-            Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+            Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
             pibAttr->phyCurrentChannel = m_associateParams.m_chNum;
-            m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentChannel,
-                                           pibAttr);
+            m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentChannel, pibAttr);
         }
         else
         {
@@ -3497,16 +3493,16 @@
             {
                 MlmeAssociateConfirmParams confirmParams;
                 confirmParams.m_assocShortAddr = Mac16Address("FF:FF");
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 m_mlmeAssociateConfirmCallback(confirmParams);
             }
             NS_LOG_ERROR("Invalid page parameter in MLME-associate");
         }
     }
-    else if (id == LrWpanPibAttributeIdentifier::phyCurrentChannel &&
+    else if (id == PhyPibAttributeIdentifier::phyCurrentChannel &&
              m_pendPrimitive == MLME_ASSOC_REQ)
     {
-        if (status == LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
+        if (status == PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS)
         {
             EndAssociateRequest();
         }
@@ -3525,7 +3521,7 @@
             {
                 MlmeAssociateConfirmParams confirmParams;
                 confirmParams.m_assocShortAddr = Mac16Address("FF:FF");
-                confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+                confirmParams.m_status = MacStatus::INVALID_PARAMETER;
                 m_mlmeAssociateConfirmCallback(confirmParams);
             }
             NS_LOG_ERROR("Invalid channel parameter in MLME-associate");
@@ -3534,7 +3530,7 @@
 }
 
 void
-LrWpanMac::SetLrWpanMacState(LrWpanMacState macState)
+LrWpanMac::SetLrWpanMacState(MacState macState)
 {
     NS_LOG_FUNCTION(this << "mac state = " << macState);
 
@@ -3557,17 +3553,17 @@
     }
     else if (macState == MAC_CSMA)
     {
-        NS_ASSERT(m_lrWpanMacState == MAC_IDLE || m_lrWpanMacState == MAC_ACK_PENDING);
+        NS_ASSERT(m_macState == MAC_IDLE || m_macState == MAC_ACK_PENDING);
         ChangeMacState(MAC_CSMA);
         m_phy->PlmeSetTRXStateRequest(IEEE_802_15_4_PHY_RX_ON);
     }
-    else if (m_lrWpanMacState == MAC_CSMA && macState == CHANNEL_IDLE)
+    else if (m_macState == MAC_CSMA && macState == CHANNEL_IDLE)
     {
         // Channel is idle, set transmitter to TX_ON
         ChangeMacState(MAC_SENDING);
         m_phy->PlmeSetTRXStateRequest(IEEE_802_15_4_PHY_TX_ON);
     }
-    else if (m_lrWpanMacState == MAC_CSMA && macState == CHANNEL_ACCESS_FAILURE)
+    else if (m_macState == MAC_CSMA && macState == CHANNEL_ACCESS_FAILURE)
     {
         NS_ASSERT(m_txPkt);
 
@@ -3602,7 +3598,7 @@
                 {
                     MlmeAssociateConfirmParams confirmParams;
                     confirmParams.m_assocShortAddr = Mac16Address("FF:FF");
-                    confirmParams.m_status = LrWpanMacStatus::CHANNEL_ACCESS_FAILURE;
+                    confirmParams.m_status = MacStatus::CHANNEL_ACCESS_FAILURE;
                     m_mlmeAssociateConfirmCallback(confirmParams);
                 }
                 break;
@@ -3616,7 +3612,7 @@
                     commStatusParams.m_srcExtAddr = macHdr.GetExtSrcAddr();
                     commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
                     commStatusParams.m_dstExtAddr = macHdr.GetExtDstAddr();
-                    commStatusParams.m_status = LrWpanMacStatus::CHANNEL_ACCESS_FAILURE;
+                    commStatusParams.m_status = MacStatus::CHANNEL_ACCESS_FAILURE;
                     m_mlmeCommStatusIndicationCallback(commStatusParams);
                 }
                 RemovePendTxQElement(m_txPkt->Copy());
@@ -3635,7 +3631,7 @@
                 if (!m_mlmePollConfirmCallback.IsNull())
                 {
                     MlmePollConfirmParams pollConfirmParams;
-                    pollConfirmParams.m_status = LrWpanMacStatus::CHANNEL_ACCESS_FAILURE;
+                    pollConfirmParams.m_status = MacStatus::CHANNEL_ACCESS_FAILURE;
                     m_mlmePollConfirmCallback(pollConfirmParams);
                 }
                 break;
@@ -3649,13 +3645,13 @@
                     commStatusParams.m_srcExtAddr = macHdr.GetExtSrcAddr();
                     commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
                     commStatusParams.m_dstExtAddr = macHdr.GetExtDstAddr();
-                    commStatusParams.m_status = LrWpanMacStatus::CHANNEL_ACCESS_FAILURE;
+                    commStatusParams.m_status = MacStatus::CHANNEL_ACCESS_FAILURE;
                     m_mlmeCommStatusIndicationCallback(commStatusParams);
                 }
                 break;
             }
             case CommandPayloadHeader::ORPHAN_NOTIF: {
-                if (m_scanOrphanEvent.IsRunning())
+                if (m_scanOrphanEvent.IsPending())
                 {
                     m_unscannedChannels.emplace_back(m_phy->GetCurrentChannelNum());
                 }
@@ -3664,7 +3660,7 @@
                 break;
             }
             case CommandPayloadHeader::BEACON_REQ: {
-                if (m_scanEvent.IsRunning())
+                if (m_scanEvent.IsPending())
                 {
                     m_unscannedChannels.emplace_back(m_phy->GetCurrentChannelNum());
                 }
@@ -3685,7 +3681,7 @@
             {
                 McpsDataConfirmParams confirmParams;
                 confirmParams.m_msduHandle = m_txQueue.front()->txQMsduHandle;
-                confirmParams.m_status = LrWpanMacStatus::CHANNEL_ACCESS_FAILURE;
+                confirmParams.m_status = MacStatus::CHANNEL_ACCESS_FAILURE;
                 m_mcpsDataConfirmCallback(confirmParams);
             }
             // remove the copy of the packet that was just sent
@@ -3709,7 +3705,7 @@
             m_phy->PlmeSetTRXStateRequest(IEEE_802_15_4_PHY_TRX_OFF);
         }
     }
-    else if (m_lrWpanMacState == MAC_CSMA && macState == MAC_CSMA_DEFERRED)
+    else if (m_macState == MAC_CSMA && macState == MAC_CSMA_DEFERRED)
     {
         ChangeMacState(MAC_IDLE);
         m_txPkt = nullptr;
@@ -3759,12 +3755,11 @@
 }
 
 void
-LrWpanMac::ChangeMacState(LrWpanMacState newState)
+LrWpanMac::ChangeMacState(MacState newState)
 {
-    NS_LOG_LOGIC(this << " change lrwpan mac state from " << m_lrWpanMacState << " to "
-                      << newState);
-    m_macStateLogger(m_lrWpanMacState, newState);
-    m_lrWpanMacState = newState;
+    NS_LOG_LOGIC(this << " change lrwpan mac state from " << m_macState << " to " << newState);
+    m_macStateLogger(m_macState, newState);
+    m_macState = newState;
 }
 
 uint64_t
@@ -3793,7 +3788,7 @@
 }
 
 bool
-LrWpanMac::isCoordDest()
+LrWpanMac::IsCoordDest()
 {
     NS_ASSERT(m_txPkt);
     LrWpanMacHeader macHdr;
@@ -3853,7 +3848,7 @@
 }
 
 bool
-LrWpanMac::isTxAckReq()
+LrWpanMac::IsTxAckReq()
 {
     NS_ASSERT(m_txPkt);
     LrWpanMacHeader macHdr;
@@ -3862,4 +3857,5 @@
     return macHdr.IsAckReq();
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac.h ns-3.42/src/lr-wpan/model/lr-wpan-mac.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac.h	2024-05-29 15:29:46.976073300 -0700
@@ -39,8 +39,11 @@
 
 namespace ns3
 {
-
 class Packet;
+
+namespace lrwpan
+{
+
 class LrWpanCsmaCa;
 
 /**
@@ -55,7 +58,7 @@
  *
  * Tx options
  */
-enum LrWpanTxOption
+enum TxOption
 {
     TX_OPTION_NONE = 0,    //!< TX_OPTION_NONE
     TX_OPTION_ACK = 1,     //!< TX_OPTION_ACK
@@ -68,7 +71,7 @@
  *
  * MAC states
  */
-enum LrWpanMacState
+enum MacState
 {
     MAC_IDLE,               //!< MAC_IDLE
     MAC_CSMA,               //!< MAC_CSMA
@@ -83,13 +86,13 @@
 };
 
 /**
- *  Overloaded operator to print the value of a LrWpanMacState.
+ *  Overloaded operator to print the value of a MacState.
  *
  *  \param os The output stream
  *  \param state The text value of the PHY state
  *  \return The output stream with text value of the MAC state
  */
-std::ostream& operator<<(std::ostream& os, const LrWpanMacState& state);
+std::ostream& operator<<(std::ostream& os, const MacState& state);
 
 /**
  * \ingroup lr-wpan
@@ -134,12 +137,12 @@
 
 /**
  * \ingroup lr-wpan
- * TracedValue callback signature for LrWpanMacState.
+ * TracedValue callback signature for MacState.
  *
  * \param [in] oldValue original value of the traced variable
  * \param [in] newValue new value of the traced variable
  */
-typedef void (*LrWpanMacState)(LrWpanMacState oldValue, LrWpanMacState newValue);
+typedef void (*MacState)(MacState oldValue, MacState newValue);
 
 /**
  * \ingroup lr-wpan
@@ -260,10 +263,9 @@
 
     void MlmePollRequest(MlmePollRequestParams params) override;
 
-    void MlmeSetRequest(LrWpanMacPibAttributeIdentifier id,
-                        Ptr<LrWpanMacPibAttributes> attribute) override;
+    void MlmeSetRequest(MacPibAttributeIdentifier id, Ptr<MacPibAttributes> attribute) override;
 
-    void MlmeGetRequest(LrWpanMacPibAttributeIdentifier id) override;
+    void MlmeGetRequest(MacPibAttributeIdentifier id) override;
 
     /**
      * Set the CSMA/CA implementation to be used by the MAC.
@@ -306,14 +308,14 @@
      * \param status to report to MAC
      *        PHY PD-DATA.confirm status
      */
-    void PdDataConfirm(LrWpanPhyEnumeration status);
+    void PdDataConfirm(PhyEnumeration status);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.2
      * PLME-CCA.confirm status
      * \param status TRX_OFF, BUSY or IDLE
      */
-    void PlmeCcaConfirm(LrWpanPhyEnumeration status);
+    void PlmeCcaConfirm(PhyEnumeration status);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.4
@@ -321,7 +323,7 @@
      * \param status SUCCESS, TRX_OFF or TX_ON
      * \param energyLevel 0x00-0xff ED level for the channel
      */
-    void PlmeEdConfirm(LrWpanPhyEnumeration status, uint8_t energyLevel);
+    void PlmeEdConfirm(PhyEnumeration status, uint8_t energyLevel);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.6
@@ -331,9 +333,9 @@
      * \param id the attributed identifier
      * \param attribute the attribute value
      */
-    void PlmeGetAttributeConfirm(LrWpanPhyEnumeration status,
-                                 LrWpanPibAttributeIdentifier id,
-                                 Ptr<LrWpanPhyPibAttributes> attribute);
+    void PlmeGetAttributeConfirm(PhyEnumeration status,
+                                 PhyPibAttributeIdentifier id,
+                                 Ptr<PhyPibAttributes> attribute);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.8
@@ -341,7 +343,7 @@
      * Set PHY state
      * \param status in RX_ON,TRX_OFF,FORCE_TRX_OFF,TX_ON
      */
-    void PlmeSetTRXStateConfirm(LrWpanPhyEnumeration status);
+    void PlmeSetTRXStateConfirm(PhyEnumeration status);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.10
@@ -350,14 +352,14 @@
      * \param status SUCCESS, UNSUPPORTED_ATTRIBUTE, INVALID_PARAMETER, or READ_ONLY
      * \param id the attributed identifier
      */
-    void PlmeSetAttributeConfirm(LrWpanPhyEnumeration status, LrWpanPibAttributeIdentifier id);
+    void PlmeSetAttributeConfirm(PhyEnumeration status, PhyPibAttributeIdentifier id);
 
     /**
      * CSMA-CA algorithm calls back the MAC after executing channel assessment.
      *
      * \param macState indicate BUSY or IDLE channel condition
      */
-    void SetLrWpanMacState(LrWpanMacState macState);
+    void SetLrWpanMacState(MacState macState);
 
     /**
      * Set the max size of the transmit queue.
@@ -661,7 +663,7 @@
      *
      * \return True if m_txPkt (packet awaiting to be sent) destination is its coordinator
      */
-    bool isCoordDest();
+    bool IsCoordDest();
 
     /**
      * Check if the packet destination is its coordinator
@@ -696,7 +698,7 @@
      *
      *\return True if the Tx packet requires acknowledgment
      * */
-    bool isTxAckReq();
+    bool IsTxAckReq();
 
     /**
      * Print the Pending transaction list.
@@ -720,15 +722,15 @@
     typedef void (*SentTracedCallback)(Ptr<const Packet> packet, uint8_t retries, uint8_t backoffs);
 
     /**
-     * TracedCallback signature for LrWpanMacState change events.
+     * TracedCallback signature for MacState change events.
      *
      * \param [in] oldValue The original state value.
      * \param [in] newValue The new state value.
-     * \deprecated The LrWpanMacState is now accessible as the
+     * \deprecated The MacState is now accessible as the
      * TracedValue \c MacStateValue. The \c MacState TracedCallback will
      * be removed in a future release.
      */
-    typedef void (*StateTracedCallback)(LrWpanMacState oldState, LrWpanMacState newState);
+    typedef void (*StateTracedCallback)(MacState oldState, MacState newState);
 
   protected:
     // Inherited from Object.
@@ -879,7 +881,7 @@
      *
      * \param newState the new state
      */
-    void ChangeMacState(LrWpanMacState newState);
+    void ChangeMacState(MacState newState);
 
     /**
      * Handle an ACK timeout with a packet retransmission, if there are
@@ -1112,14 +1114,14 @@
     TracedCallback<Ptr<const Packet>> m_promiscSnifferTrace;
 
     /**
-     * A trace source that fires when the LrWpanMac changes states.
+     * A trace source that fires when the MAC changes states.
      * Parameters are the old mac state and the new mac state.
      *
      * \deprecated This TracedCallback is deprecated and will be
      * removed in a future release,  Instead, use the \c MacStateValue
      * TracedValue.
      */
-    TracedCallback<LrWpanMacState, LrWpanMacState> m_macStateLogger;
+    TracedCallback<MacState, MacState> m_macStateLogger;
 
     /**
      * The PHY associated with this MAC.
@@ -1134,7 +1136,7 @@
     /**
      * The current state of the MAC layer.
      */
-    TracedValue<LrWpanMacState> m_lrWpanMacState;
+    TracedValue<MacState> m_macState;
 
     /**
      * The current period of the incoming superframe.
@@ -1167,7 +1169,7 @@
     /**
      * The extended 64 address (IEEE EUI-64) used by this MAC.
      */
-    Mac64Address m_selfExt;
+    Mac64Address m_macExtendedAddress;
 
     /**
      * The transmit queue used by the MAC.
@@ -1322,6 +1324,7 @@
      */
     EventId m_scanEnergyEvent;
 };
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_MAC_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-header.cc ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-header.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.cc	2024-05-29 15:29:46.976073300 -0700
@@ -22,6 +22,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_OBJECT_ENSURE_REGISTERED(LrWpanMacHeader);
 
@@ -746,4 +748,5 @@
     return i.GetDistanceFrom(start);
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-header.h ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-header.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-header.h	2024-05-29 15:29:46.976073300 -0700
@@ -43,6 +43,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 /**
  * \ingroup lr-wpan
@@ -449,6 +451,7 @@
 
 }; // LrWpanMacHeader
 
-}; // namespace ns3
+} // namespace lrwpan
+} // namespace ns3
 
 #endif /* LR_WPAN_MAC_HEADER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.cc	2024-05-29 15:29:46.976073300 -0700
@@ -24,6 +24,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 /***********************************************************
  *                Beacon MAC Payload
@@ -172,20 +174,15 @@
         size += 3; // (short address + Association Status)
         break;
     case DISASSOCIATION_NOTIF:
-        break;
     case DATA_REQ:
-        break;
     case PANID_CONFLICT:
-        break;
     case ORPHAN_NOTIF:
-        break;
     case BEACON_REQ:
         break;
     case COOR_REALIGN:
         size += 8;
         break;
     case GTS_REQ:
-        break;
     case CMD_RESERVED:
         break;
     }
@@ -208,13 +205,9 @@
         i.WriteU8(m_assocStatus);
         break;
     case DISASSOCIATION_NOTIF:
-        break;
     case DATA_REQ:
-        break;
     case PANID_CONFLICT:
-        break;
     case ORPHAN_NOTIF:
-        break;
     case BEACON_REQ:
         break;
     case COOR_REALIGN:
@@ -225,7 +218,6 @@
         i.WriteU8(m_logChPage);
         break;
     case GTS_REQ:
-        break;
     case CMD_RESERVED:
         break;
     }
@@ -247,13 +239,9 @@
         m_assocStatus = i.ReadU8();
         break;
     case DISASSOCIATION_NOTIF:
-        break;
     case DATA_REQ:
-        break;
     case PANID_CONFLICT:
-        break;
     case ORPHAN_NOTIF:
-        break;
     case BEACON_REQ:
         break;
     case COOR_REALIGN:
@@ -264,7 +252,6 @@
         m_logChPage = i.ReadU8();
         break;
     case GTS_REQ:
-        break;
     case CMD_RESERVED:
         break;
     }
@@ -292,13 +279,9 @@
            << "| Status Response | = " << m_assocStatus;
         break;
     case DISASSOCIATION_NOTIF:
-        break;
     case DATA_REQ:
-        break;
     case PANID_CONFLICT:
-        break;
     case ORPHAN_NOTIF:
-        break;
     case BEACON_REQ:
         break;
     case COOR_REALIGN:
@@ -309,9 +292,7 @@
            << "| Page Num.| = " << static_cast<uint32_t>(m_logChPage);
         break;
     case GTS_REQ:
-        break;
     case CMD_RESERVED:
-        break;
     default:
         break;
     }
@@ -448,4 +429,5 @@
     return m_panid;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-pl-headers.h ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-pl-headers.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-pl-headers.h	2024-05-29 15:29:46.976073300 -0700
@@ -28,6 +28,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 /**
  * \ingroup lr-wpan
@@ -239,6 +241,7 @@
     uint8_t m_assocStatus;         //!< Association Status (Association Response Command)
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_MAC_PL_HEADERS_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-trailer.cc ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-trailer.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.cc	2024-05-29 15:29:46.976073300 -0700
@@ -25,6 +25,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_OBJECT_ENSURE_REGISTERED(LrWpanMacTrailer);
 
@@ -159,4 +161,5 @@
     return accumulator;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-trailer.h ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-trailer.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-trailer.h	2024-05-29 15:29:46.976073300 -0700
@@ -30,6 +30,9 @@
 
 class Packet;
 
+namespace lrwpan
+{
+
 /**
  * \ingroup lr-wpan
  *
@@ -120,6 +123,7 @@
     bool m_calcFcs;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_MAC_TRAILER_H */
